=== debian/changelog ===
xlockmore (1:5.31-1) unstable; urgency=low

  * New upstream version
  * don't flush events when clearing echokeys (Closes: #517713, #517355)
  * update build-dependencies (Closes: #579031)
  * update README.Debian (Closes: #539786)
  * use DPMS for blank mode (Closes: #83413, #558695)
  * xlockmore has only blank mode, all others in xlockmore-gl

 -- Michael Stone <mstone@debian.org>  Mon, 19 Jul 2010 20:52:12 -0400

xlockmore (1:5.27-1) unstable; urgency=low

  * New upstream version
  * Change x-dev dependency to x11proto-core-dev (Closes: #515419)
  * echokeys and pam output area are cleared between pam modules
  * pam seems to be working for libpam-opie at least

 -- Michael Stone <mstone@debian.org>  Sun, 22 Feb 2009 14:22:38 -0500

xlockmore (1:5.22-1.4) unstable; urgency=low

  * Non-Maintainer Upload.
  * Fix the dh_installman call, as it should work on all the created
    packages and not only on the first one (Closes: #400781).

 -- Luca Capello <luca@pca.it>  Tue, 25 Mar 2008 19:36:15 +0100

xlockmore (1:5.22-1.3) unstable; urgency=low

  * Non-Maintainer Upload to address RG bug
  * Address FTBFS when building the package twice in a row due to improper
    cleaning (Closes: #424111)

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 17 Mar 2008 19:30:35 +0100

xlockmore (1:5.22-1.2) unstable; urgency=high

  * Non-Maintainer Upload to address RC bug
  * Add conflicts on libpam-opie and libpam-p11, mitigating a potential
    security issue (addressing: #318123, #399003)

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Wed, 17 Jan 2007 01:49:41 +0100

xlockmore (1:5.22-1.1) unstable; urgency=medium

  * Non-maintainer upload, BSP Zurich/Switzerland
  * Set the mandir correctly with configure, use now dh_installman instead of
    dh_installmanpages (Closes: #384081).

 -- Mario Iseli <admin@marioiseli.com>  Sun, 08 Oct 2006 12:55:54 +0200

xlockmore (1:5.22-1) unstable; urgency=low

  * New upstream version
    - new modes deluxe & anemone
  * Fix debian/rules to remove app-defaults from new location
    (Closes: #366009)
  * Update menu file with new path (Closes: #365686)

 -- Michael Stone <mstone@debian.org>  Tue, 23 May 2006 20:41:38 -0400

xlockmore (1:5.21-3) unstable; urgency=low

  * Actually fix that...try to upload the right one this time...

 -- Michael Stone <mstone@debian.org>  Sat, 15 Apr 2006 22:21:07 -0400

xlockmore (1:5.21-2) unstable; urgency=low

  * Recompile due to what might be the stupidest transition plan I have
    ever seen in debian (Closes: #362693)

 -- Michael Stone <mstone@debian.org>  Sat, 15 Apr 2006 19:55:36 -0400

xlockmore (1:5.21-1) unstable; urgency=low

  * New upstream version (Closes: #323445)
  * Update man page concerning echokeys (Closes: #271558)
  * Integrate build-dep changes (Closes: #347050, #337467)
  * Clean up references to vtlock (Closes: #63021, #241925, #307223)
  * Bump standards version

 -- Michael Stone <mstone@debian.org>  Fri, 03 Mar 2006 20:48:16 -0500

xlockmore (1:5.13-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #347050).
  * Update build-dep on mesa to xlibmesa-gl-dev (Closes: #337467).
  * Fix security bug which allows unauthorized access to X (Closes: #318123)
    [CVE-2006-0061].

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 20:01:04 +0100

xlockmore (1:5.13-2.1) unstable; urgency=high

  * NMU
  * Applied newest patch from Eugene to avoid fatal crash when fvwm
    switches virtual desktop. (closes: #309760) [CVE-2006-0062]

 -- Kenshi Muto <kmuto@debian.org>  Mon, 23 May 2005 11:30:18 +0000

xlockmore (1:5.13-2) unstable; urgency=low

  * Correct instructions for dpkg-statoverride in README.Debian
  * Update copyright file
  * rename manpages from .1x to .1

 -- Michael Stone <mstone@debian.org>  Thu, 19 Aug 2004 13:58:36 -0400

xlockmore (1:5.13-1) unstable; urgency=low

  * New upstream version
    - allows key echo (*) for password entry
  * reenable allowroot
    (See README.Debian for instructions on using this)
  * rename xresources/XLock to xresources/xlockmore
    (Closes: #233906)
  * use @include in pam configuration (Closes: #264381, #265298)
    (See README.Debian for some PAM notes)
  * standards version 3.6.1.0

 -- Michael Stone <mstone@debian.org>  Thu, 19 Aug 2004 07:04:38 -0400

xlockmore (1:5.09-1) unstable; urgency=low

  * New upstream version
    - fixes some core dumps
    - some support for pam conversations. work in progress.
    - mazes can be really big (Closes: #175667)
    - logoutButton is in man page (Closes: #171154)
  * rebuild should fix odd symbols caused by broken build environment
    (Closes: #178146)
  * enable BAD_PAM, which allows suid xlock to work with pam.
    I *strongly* recommend *not* doing this for security reasons.
  * standards version 3.6.0
  * dh_buildinfo

 -- Michael Stone <mstone@debian.org>  Sun, 10 Aug 2003 08:08:18 -0400

xlockmore (1:5.06-1) unstable; urgency=low

  * New upstream version
  * atlantis mode doesn't mind negative count (Closes: #169167)
  * autoupdate config.{sub,guess} (Closes: #159562)
  * don't allow root to unlock anymore. didn't work with current
    config anyway. if there's a groundswell of demand for this
    I might try to get it working. (Closes: #119765)
  * button logout can be more than 10 minutes (Closes: #171978)
  * char signedness error is corrected (Closes: #177290)

 -- Michael Stone <mstone@debian.org>  Sun, 09 Feb 2003 09:54:11 -0500

xlockmore (1:5.04-1) unstable; urgency=low

  * New upstream version

 -- Michael Stone <mstone@debian.org>  Tue, 27 Aug 2002 10:50:22 -0400

xlockmore (1:5.02-2) unstable; urgency=low

  * corrected Debian GNU/Linux in copyright
  * conflicts with older xbase (for xresources support)

 -- Michael Stone <mstone@debian.org>  Tue, 15 Jan 2002 10:06:14 -0500

xlockmore (1:5.02-1) unstable; urgency=low

  * New upstream version
  * Corrected XLock resources location in README.Debian

